//
//  BFMusicInfoSearchCell.swift
//  BFRecordScreenKit
//
//  Created by Harry on 2022/3/3.
//

import Foundation


class BFMusicInfoSearchCell: BFMuicInfoCell {
    
    var useCallback : (() -> Void)?
    
    override func showFunctionBtn() {
        
        let useBtn = createUseBtn()
        contentView.addSubview(useBtn)
        useBtn.snp.makeConstraints { make in
            make.right.equalTo(-18)
            make.width.height.equalTo(40)
            make.top.equalTo(12)
        }
        
        let cutBtn = createCutBtn()
        contentView.addSubview(cutBtn)
        cutBtn.snp.makeConstraints { make in
            make.right.equalTo(useBtn.snp.left).offset(-10)
            make.width.height.equalTo(40)
            make.top.equalTo(12)
        }
    }
    
    override func hiddenFunctionBtn() {
        super.hiddenFunctionBtn()
        if let v = contentView.viewWithTag(2002){
            v.removeFromSuperview()
        }
    }
    
    func createUseBtn() -> UIButton {
        let useBtn = UIButton()
        useBtn.tag = 2002
        useBtn.setTitle("使用", for: .normal)
        useBtn.backgroundColor = UIColor.hexColor(hexadecimal: "#389AFF")
        useBtn.layer.cornerRadius = 4
        useBtn.addTarget(self, action: #selector(useBtnAction), for: .touchUpInside)
        return useBtn
    }
    
    @objc func useBtnAction() {
        useCallback?()
    }
}
